## org.eclipse.emf.transaction
Interface TransactionalEditingDomain.Factory

All Known Implementing Classes:
  EXTLibraryEditingDomainFactory, TransactionalEditingDomainImpl.FactoryImpl, WorkspaceEditingDomainFactory

Enclosing interface:
  TransactionalEditingDomain

    public static interface TransactionalEditingDomain.Factory

Interface defining the protocol for creating transactional editing domains. Non-shared editing domains can be created by accessing the static factory `INSTANCE`. Shared editing domains (registered on the `org.eclipse.emf.transaction.editingDomains` extension point are obtained via the `TransactionalEditingDomain.Registry`.

Field Summary
`static TransactionalEditingDomain.Factory` `INSTANCE` Static factory instance that can create instances of the default transactional editing domain implementation.

Method Summary
`TransactionalEditingDomain` `createEditingDomain()` Creates an editing domain with a default resource set implementation.
`TransactionalEditingDomain` `createEditingDomain(org.eclipse.emf.ecore.resource.ResourceSet rset)` Creates a new transactional editing domain on the specified resource set.
`TransactionalEditingDomain` `getEditingDomain(org.eclipse.emf.ecore.resource.ResourceSet rset)` Obtains the transactional editing domain (if any) that is currently managing the specified resource set.

Field Detail

### INSTANCE

    static final TransactionalEditingDomain.Factory INSTANCE

  Static factory instance that can create instances of the default transactional editing domain implementation.

Method Detail

### createEditingDomain

    TransactionalEditingDomain createEditingDomain()

  Creates an editing domain with a default resource set implementation.

  Returns:
    the new editing domain

### createEditingDomain

    TransactionalEditingDomain createEditingDomain(org.eclipse.emf.ecore.resource.ResourceSet rset)

  Creates a new transactional editing domain on the specified resource set. Although it is possible to create multiple editing domains on the same resource set, this would rarely be useful.

  Parameters:
    `rset` - the resource set
  Returns:
    a new editing domain on the supplied resource set

### getEditingDomain

    TransactionalEditingDomain getEditingDomain(org.eclipse.emf.ecore.resource.ResourceSet rset)

  Obtains the transactional editing domain (if any) that is currently managing the specified resource set.

  Parameters:
    `rset` - a resource set
  Returns:
    its editing domain, or `null` if it is not managed by any `TransactionalEditingDomain`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.